FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202103130248.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202103130248.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0a8f1f9 OS_GIT_VERSION=4.6.0-202103130248.p0-0a8f1f9 SOURCE_DATE_EPOCH=1610901493 SOURCE_GIT_COMMIT=0a8f1f99f98b4637cfb5a22c61c92264687da859 SOURCE_GIT_TAG=v4.0.0-alpha.0-1136-g0a8f1f99 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-apiserver-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-apiserver-operator
COPY . .
ENV GO_PACKAGE github.com/openshift/cluster-kube-apiserver-operator
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.6.0.20210313.033438
ENV __doozer=update BUILD_RELEASE=202103130248.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202103130248.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0a8f1f9 OS_GIT_VERSION=4.6.0-202103130248.p0-0a8f1f9 SOURCE_DATE_EPOCH=1610901493 SOURCE_GIT_COMMIT=0a8f1f99f98b4637cfb5a22c61c92264687da859 SOURCE_GIT_TAG=v4.0.0-alpha.0-1136-g0a8f1f99 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-apiserver-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-apiserver-operator/bindata/bootkube/bootstrap-manifests /usr/share/bootkube/manifests/bootstrap-manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-apiserver-operator/bindata/bootkube/config /usr/share/bootkube/manifests/config/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-apiserver-operator/bindata/bootkube/manifests /usr/share/bootkube/manifests/manifests/
COPY --from=builder /go/src/github.com/openshift/cluster-kube-apiserver-operator/cluster-kube-apiserver-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/0000_20_kube-apiserver-operator_01_config.crd.yaml /manifests
# FIXME: entrypoint shouldn't be bash but the binary (needs fixing the chain)
# ENTRYPOINT ["/usr/bin/cluster-kube-apiserver-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-apiserver-operator" \
        com.redhat.component="ose-cluster-kube-apiserver-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-apiserver" \
        release="202103130248.p0" \
        io.openshift.build.commit.id="0a8f1f99f98b4637cfb5a22c61c92264687da859" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-apiserver-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-apiserver-operator/commit/0a8f1f99f98b4637cfb5a22c61c92264687da859" \
        version="v4.6.0"

